Name: gvSIG
Version:   1.1     
Release:   2%{?dist}
Summary:	Geospatial Information System desktop client

Group:          Applications/Engineering
License:	GPL
URL:          http://www.gvsig.gva.es
Source0:        gvsig-1_1-linux-i586.tbz
Nosource:	0
Source1:	gvSIG.desktop
Source2:	%{name}.sh

Exclusiveos: linux

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  rpm-build, desktop-file-utils
Requires:       java-1.5.0-sun >= 1.5.0.12, jai-imageio >= 1.0.01, jai >= 1.1.3, jpackage-utils
## pa cuando se adecente la compilación:
###Requires:  openssl097a, libstdc++,  unixODBC,  libpng,  postgresql-libs, proj, netpbm

Prefix: /opt/%{name}

%description
gvSIG is a tool oriented to manage geographic information. It provides a
user-friendly interface, with a quick access to the most usual raster and
vector formats. In the same view it includes local as well as remote data
through a WMS, WCS or WFS source.

gvSIG is developed by the Conselleria d'Infraestructures i Transport and
is licenced under the GNU General Public Licence.




%prep
%setup -q -c



%build


%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}
cp -a gvSIG_1.1/* $RPM_BUILD_ROOT/%{prefix}

install -D %{SOURCE2}  %{buildroot}/%{_bindir}/gvsig

# install desktop file
desktop-file-install --vendor="fedora"             \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications  \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc gvSIG_1.1/bin/LEEME gvSIG_1.1/bin/LLIG-ME gvSIG_1.1/bin/README  gvSIG_1.1/bin/gpl.txt
%{prefix}
%{_datadir}/applications/*desktop
%{_bindir}/gvsig

%changelog

* Thu Jul 10 2008 - ismael@olea.org
- Updating spec to use nosrc  1.1-2olea

* Thu Sep 27 2007 - ismael@olea.org
- First version, 1.1-1olea
